/**
 * Sanitizes code blocks to ensure they are properly formatted
 * @param text The text containing code blocks to sanitize
 * @returns Sanitized text with properly formatted code blocks
 */
export declare function sanitizeCodeBlocks(text: string): string;
/**
 * Sanitizes text content to ensure valid UTF-8 encoding
 * @param text The text to sanitize
 * @returns Sanitized text
 */
export declare function sanitizeText(text: string | undefined): string;
